corda / net.corda.node.driver / DriverDSLInternalInterface

# DriverDSLInternalInterface

`interface DriverDSLInternalInterface : DriverDSLExposedInterface`

### Functions

shutdown | `abstract fun shutdown(): Unit`
start | `abstract fun start(): Unit`

### Inherited Functions

startNode | `abstract fun startNode(providedName: String? = null, advertisedServices: Set<ServiceInfo> = emptySet(), rpcUsers: List<User> = emptyList(), customOverrides: Map<String, Any?> = emptyMap()): ListenableFuture<NodeHandle>` Starts a Node in a separate process.
startNotaryCluster | `abstract fun startNotaryCluster(notaryName: String, clusterSize: Int = 3, type: ServiceType = RaftValidatingNotaryService.type, rpcUsers: List<User> = emptyList()): Future<Pair<Party, List<NodeHandle>>>` Starts a distributed notary cluster.
startWebserver | `abstract fun startWebserver(handle: NodeHandle): ListenableFuture<HostAndPort>` Starts a web server for a node
waitForAllNodesToFinish | `abstract fun waitForAllNodesToFinish(): Unit`

### Inheritors

DriverDSL | `open class DriverDSL : DriverDSLInternalInterface`